/*  */
function fromid_output_json(fid, type, clas){
	var o = {};
	if ((type) && type == 'name') fid = $(fid);
	if (!clas) clas = 'name';
	fid.find('input,select,textarea').each(function(){
		if ($(this).length > 0 && ($(this).attr(clas))) {
			var textname = $(this).attr(clas).replace('[]', ''),
				val = $(this).val();
			if ((o[textname]) || o[textname] == '') {
				if (!o[textname].push) {
					o[textname] = [o[textname]];
				}
				o[textname].push(val || '');
			} else {
				o[textname] = val || '';
			}
		}
	});
	return JSON.stringify(o);
}